Bug 89597 - CRASH:General input output error on calc opening XLSX
Summary: CRASH:General input output error on calc opening XLSX
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: x86-64 (AMD64) All
: high major
Assignee: Katarina Behrens
URL:
Whiteboard: target:4.5.0 target:4.4.3 target:4.3.7
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2015-02-23 20:17 UTC by DirsaMX
Modified: 2015-04-20 11:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
xlsx pivot tables (2.82 MB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-02-23 20:17 UTC, DirsaMX
Details
gdbtrace (4.20 KB, application/gzip)
2015-02-23 21:35 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description DirsaMX 2015-02-23 20:17:52 UTC
Created attachment 113629 [details]
xlsx pivot tables

"General Error. General input/output error." when opening an XLSX file on Windows with several pivot table reports(both 32 and 64 bit versions of windows tested)

Tried LibreOffice stable 4.3.2.2 AND 4.4.0.3

Might be a regression of
https://bugs.documentfoundation.org/show_bug.cgi?id=57732
Comment 1 raal 2015-02-23 21:34:29 UTC
With Version: 4.5.0.0.alpha0+
Build ID: 52fa2e97dfef1a5f27aaee6af7ed80800641b86c
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-02-22_01:03:18
LO crashes when opening this file. I can open file without problem in excel2010.
Comment 2 raal 2015-02-23 21:35:11 UTC
Created attachment 113631 [details]
gdbtrace
Comment 3 Katarina Behrens 2015-03-12 22:44:51 UTC
So I've posted a fix for the crash (abort, strictly speaking, but from user's perspective, it's the same) for a code review.

But it doesn't help OP much, as this particular document then still takes some 20+ minutes to open (on my slow-ish laptop)
Comment 4 Commit Notification 2015-03-20 14:19:25 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=529e9b61171f3155a76fe68e3019f5f3eb23bc4e

tdf#89597: Resize formula buffers after adding a dummy sheet

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 DirsaMX 2015-03-27 16:08:03 UTC
Fix Validated on libo-master~2015-03-26_01.49.14_LibreOfficeDev_4.5.0.0.alpha0_Win_x86, works on my laptop too (took around 5mins to open and the data was there)
Comment 6 Commit Notification 2015-03-30 09:03:57 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ecef42a18b9efee3f0430cb00f02f241446b44a7&h=libreoffice-4-4

tdf#89597: Resize formula buffers after adding a dummy sheet

It will be available in 4.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Katarina Behrens 2015-03-30 13:43:28 UTC
... which makes this fixed for 4.5 and 4.4.3
Comment 8 Timur 2015-04-03 16:16:18 UTC
It worked fine with 4.2.0-beta, and started somewhere in 4.2.0.x, so I change version to 4.2.0.4.
Thank you for writing about the possibility of backporting to 4.3.
Comment 9 Katarina Behrens (CIB) 2015-04-10 11:47:28 UTC
> Thank you for writing about the possibility of backporting to 4.3.

Hm hm, is it really so annoying bug that it's worth backporting? 

I might try, but in a week we have the latest 4.3 bugfix release ...
Comment 10 Timur 2015-04-10 13:05:10 UTC
Well, the latest 4.3 bugfix release will be (in my case and many conscious users) used for the next 6 months, so it would be fine to have all relevant bugs fixed. 
Fine doesn't mean necessary, so please decide in accordance with your time.

But in this case, there's another issue: as you noticed, opening the file on 4.5.0-dev is much slower then on 4.1.6. I think that should be another bug.
Comment 11 Katarina Behrens (CIB) 2015-04-10 21:11:53 UTC
> But in this case, there's another issue: as you noticed, opening the file on
> 4.5.0-dev is much slower then on 4.1.6. I think that should be another bug.

It is - bug 90129
Comment 12 Commit Notification 2015-04-20 11:23:04 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=589f7cbe3789224a8836f3cd4705f067be6789c5&h=libreoffice-4-3

tdf#89597: Resize formula buffers after adding a dummy sheet

It will be available in 4.3.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2015-04-20 11:50:48 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-4-3-7":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c630c9e6eb90f8f2d29be7fe12646835d6af8076&h=libreoffice-4-3-7

tdf#89597: Resize formula buffers after adding a dummy sheet

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.